# ImageMagick has adopted a new Version.Patchlevel version numbering system...
# 6.2.9.7 is actually version 6.2.9, Patchlevel 0.

%define VER 6.6.1
%define Patchlevel 5

Summary: X application for displaying and manipulating images.
Summary(ja): 画像ファイルの表示/処理を行う X のアプリケーション
Name: ImageMagick

%if "%{Patchlevel}" != ""
Version: %{VER}.%{Patchlevel}
%else
Version: %{VER}
%endif
Release: 2%{?_dist_release}

License: freeware
Group: Applications/Graphics
%if "%{Patchlevel}" != ""
Source: ftp://ftp.ImageMagick.org/pub/ImageMagick/ImageMagick-%{VER}-%{Patchlevel}.tar.bz2
%else
Source: ftp://ftp.ImageMagick.org/ImageMagick/ImageMagick-%{version}.tar.bz2
%endif
#Patch1: ImageMagick-6.2.9-CVE-2006-5456_2007-0770.patch
URL: http://www.imagemagick.org/

Buildroot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: bzip2-devel, libjpeg-turbo-devel
BuildRequires: libtiff-devel, giflib-devel, zlib-devel, perl
BuildRequires: freetype2-devel >= 2.1.7, libpng-devel >= 1.2.5
BuildRequires: libX11-devel, libXext-devel
BuildRequires: xorg-x11-server-utils
BuildRequires: libxml2-devel, librsvg2-devel
BuildRequires: lcms-devel
BuildRequires: graphviz-devel, OpenEXR-devel, ilmbase-devel
BuildRequires: fontconfig-devel

Requires: bzip2, freetype2, libjpeg-turbo, libpng, libtiff, libungif, zlib
Requires: xorg-x11-server-utils
Requires: libxml2
Requires: lcms
Requires: graphviz, OpenEXR-libs, ilmbase

Vendor: Project Vine
Distribution: Vine Linux
Packager: inagaki, iwamoto

%description
ImageMagick(TM) is an image display and manipulation tool for the X
Window System. ImageMagick can read and write JPEG, TIFF, PNM, GIF,
and Photo CD image formats. It can resize, rotate, sharpen, color
reduce, or add special effects to an image, and when finished you can
either save the completed work in the original format or a different
one. ImageMagick also includes command line programs for creating
animated or transparent .gifs, creating composite images, creating
thumbnail images, and more.

ImageMagick is one of your choices if you need a program to manipulate
and dis play images. If you want to develop your own applications
which use ImageMagick code or APIs, you need to install
ImageMagick-devel as well.


%description -l ja
ImageMagick(TM) は X ウィンドウシステム用の画像表示/処理ツールです．
ImageMagick が読み書き出来る画像形式には JPEG, TIFF, PNM, GIF, Photo CD
イメージ型式等があります．また画像のリサイズ，回転，シャープ化，減色が
出来ますし，画像に対してイフェクトをかけることも出来ます．変更した画像は
オリジナルと同じ画像形式ででも，異なる画像形式にでも保存することが出来ます．
また ImageMagick にはアニメーション GIF や透過 GIF の作成，画像の合成，
サムネール画像の作成 等々を行うコマンドラインプログラムも含まれています．

画像ファイルの表示/処理を行う為の幾多のプログラムが必要ならば，ImageMagick
も選択肢の一つとなるでしょう．また，ImageMagick のコードや API を使った
アプリケーションを開発したい場合は，ImageMagick-devel パッケージも同時に
インストールして下さい．

%package devel
Summary: Static libraries and header files for ImageMagick app development.
Summary(ja): ImageMagick アプリケーション開発用ライブラリ/ヘッダファイル
Group: Development/Libraries
Requires: ImageMagick = %{version}-%{release}

%description devel
Image-Magick-devel contains the static libraries and header files you'll
need to develop ImageMagick applications. ImageMagick is an image
manipulation program.

If you want to create applications that will use ImageMagick code or
APIs, you need to install ImageMagick-devel as well as ImageMagick.
You do noy need to install it if you just want to use ImageMagick,
however.

%description devel -l ja
ImageMagick-devel にはスタティックライブラリとヘッダファイルが収められており，
これらは ImageMagick アプリケーションの開発の際に必要となります．
ImageMagick は画像処理プログラムです．

ImageMagick のコードや API を使ったアプリケーションを作りたい場合には，
この ImageMagick-devel パッケージを ImageMagick パッケージと共にインストール
する必要があります．単に ImageMagick を使いたいだけならば，devel パッケージは
インストールする必要はありません．

%package perl
Summary: ImageMagick perl bindings
Summary(ja): ImageMagick の Perl バインディング
Group: Development/Libraries
Requires: ImageMagick = %{version}-%{release}, perl >= 5.8.0

%description perl
Perl bindings to ImageMagick.

Install ImageMagick-perl if you want to use any perl scripts that use
ImageMagick.

%description perl -l ja
このパッケージは ImageMagick の Perl バインディングです．

ImageMagick を利用する perl スクリプトを使いたい場合は
ImageMagick-perl パッケージをインストールして下さい．


%package c++
Summary: ImageMagick Magick++ library (C++ bindings)
Summary(ja): ImageMagick Magick++ ライブラリ (C++ バインディング)
Group: System Environment/Libraries
Requires: ImageMagick = %{version}-%{release}

%description c++
This package contains the Magick++ library, a C++ binding to the ImageMagick
graphics manipulation library.

Install ImageMagick-c++ if you want to use any applications that use Magick++.

%description c++
このパッケージには Magick++ ライブラリが収められています．
Magick++ とは ImageMagick ライブラリの C++ バインディングです．

Magick++ を使ったアプリケーションを利用する際には ImageMagick-c++
パッケージをインストールして下さい．

%package c++-devel
Summary: C++ bindings for the ImageMagick library
Summary(ja): ImageMagick ライブラリの C++ バインディング
Group: Development/Libraries
Requires: ImageMagick = %{version}-%{release}
Requires: ImageMagick-c++ = %{version}-%{release}
Requires: ImageMagick-devel = %{version}-%{release}

%description c++-devel
ImageMagick-devel contains the static libraries and header files you'll
need to develop ImageMagick applications using the Magick++ C++ bindings.
ImageMagick is an image manipulation program.

If you want to create applications that will use Magick++ code
or APIs, you'll need to install ImageMagick-c++-devel, ImageMagick-devel and
ImageMagick.
You don't need to install it if you just want to use ImageMagick, or if you
want to develop/compile applications using the ImageMagick C interface,
however.

%description c++-devel -l ja
ImageMagick-c++-devel には Magick++ C++ バインディングを使った
ImageMagick アプリケーション開発に必要なスタティックライブラリと
ヘッダファイルが収められています．ImageMagick とは画像処理プログラムです．

Magick++ コードや API を使ったアプリケーションを開発する場合は，
ImageMagick-c++-devel, ImageMagick-devel, ImageMagick パッケージを
インストールする必要があります．
ImageMagick プログラムを使うだけの場合，あるいは ImageMagick C インタフェース
を使ってアプリケーション開発を行う場合は，ImageMagick-c++-devel パッケージは
インストールする必要はありません．


%prep
%setup -q -n %{name}-%{VER}-%{Patchlevel}

#patch1 -p1 -b .CVE-2006-5456

%build
%configure --enable-shared \
	   --disable-static \
	   --with-x \
	   --with-quantum-depth=16 \
	   --with-modules --enable-lzw \
	   --without-frozenpaths \
           --with-perl \
	   --without-wmf \
	   --without-jp2 \
	   --without-jbig \
	   --without-djvu \
	   --without-fftw \
	   --with-lcms \
           --without-dot \
           --with-perl-options="INSTALLDIRS=vendor %{?perl_prefix} CC='%__cc -L$PWD/magick/.libs' LDDLFLAGS='-shared -L$PWD/magick/.libs'"

# Disable rpath
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT HTML_INSTALL_DATA_TARGETS=

# perlmagick: fix perl path of demo files
%{__perl} -MExtUtils::MakeMaker -e 'MY->fixin(@ARGV)' PerlMagick/demo/*.pl

# get the perl file list. We know what we need, so this is easy
perlver=`perl -v |grep built |sed -e "s,.*v,,;s, .*,,"`
perlmajor=`echo $perlver |sed -e "s,\..*,,"`

find $RPM_BUILD_ROOT -name "*.bs" |xargs rm -f
find $RPM_BUILD_ROOT -name ".packlist" |xargs rm -f
find $RPM_BUILD_ROOT -name "perllocal.pod" |xargs rm -f

echo "%defattr(-,root,root)" > perl-pkg-files
find $RPM_BUILD_ROOT%{_libdir}/perl$perlmajor/vendor_perl/$perlver -type d -name Image >> perl-pkg-files.orig
sed -e s,$RPM_BUILD_ROOT,, perl-pkg-files.orig > perl-pkg-files

# remove duplicated doc files
rm -f `find $RPM_BUILD_ROOT%{_datadir}/%{name}-%{VER} -maxdepth 1 -type f`

# remove files conflict with libtools
rm -f $RPM_BUILD_ROOT%{_libdir}/libltdl.*a
rm -f $RPM_BUILD_ROOT%{_libdir}/libltdl.so*

# remove *.la files
find $RPM_BUILD_ROOT%{_libdir} -name "lib*.la" |xargs rm -f

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%post c++ -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%postun c++ -p /sbin/ldconfig


%files
%defattr(-,root,root)
%doc www images
%doc ChangeLog LICENSE NOTICE QuickStart.txt README.txt index.html
%dir %{_libdir}/ImageMagick-%{VER}
%{_libdir}/ImageMagick-%{VER}/config
%dir %{_libdir}/ImageMagick-%{VER}/modules-Q16
%dir %{_libdir}/ImageMagick-%{VER}/modules-Q16/*
%{_libdir}/ImageMagick-%{VER}/modules-Q16/*/*.so
%{_libdir}/ImageMagick-%{VER}/modules-Q16/*/*.la
%{_libdir}/libMagickCore.so.*
%{_libdir}/libMagickWand.so.*
%{_bindir}/[a-z]*
%dir %{_datadir}/ImageMagick-%{VER}
%dir %{_datadir}/ImageMagick-%{VER}/config
%{_datadir}/ImageMagick-%{VER}/config/*.xml
%{_datadir}/ImageMagick-%{VER}/config/*.icm
%{_mandir}/man1/ImageMagick.*
%{_mandir}/man1/[a-z]*

%files devel
%defattr(-,root,root)
%{_bindir}/Magick-config
%{_bindir}/Wand-config
%{_bindir}/MagickCore-config
%{_bindir}/MagickWand-config
#{_libdir}/ImageMagick-%{VER}/modules-Q16/*/*.a
#{_libdir}/libMagickCore.a
%{_libdir}/libMagickCore.so
#{_libdir}/libMagickWand.a
%{_libdir}/libMagickWand.so
%{_libdir}/pkgconfig/ImageMagick.pc
%{_libdir}/pkgconfig/Wand.pc
%{_libdir}/pkgconfig/MagickCore.pc
%{_libdir}/pkgconfig/MagickWand.pc
%{_includedir}/ImageMagick/magick
%{_includedir}/ImageMagick/wand
%{_mandir}/man1/Magick-config*
%{_mandir}/man1/Wand-config*
%{_mandir}/man1/MagickCore-config*
%{_mandir}/man1/MagickWand-config*

%files c++
%defattr(-,root,root)
%{_libdir}/libMagick++.so.*

%files c++-devel
%defattr(-,root,root)
%{_bindir}/Magick++-config
%{_includedir}/ImageMagick/Magick++
%{_includedir}/ImageMagick/Magick++.h
#{_libdir}/libMagick++.a
%{_libdir}/libMagick++.so
%{_libdir}/pkgconfig/ImageMagick++.pc
%{_libdir}/pkgconfig/Magick++.pc
%{_mandir}/man1/Magick++-config*

%files perl -f perl-pkg-files
%defattr(-,root,root)
%{_mandir}/man3/*

%changelog
* Sun Sep 26 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 6.6.1.5-2
- rebuild with rpm-4.8.1 for pkg-config file
- change BuildRequires: libjpeg-turbo-devel instead of libjpeg-devel
- change Requires: libjpeg-turbo instead of libjpeg

* Thu Apr 29 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 6.6.1.5-1
- new upstream release 
- built with new toolchain
- added --disable-static to %%configure, removed static libraries

* Sun Nov  1 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 6.5.7.3-2
- added --without-djvu --without-fftw

* Sat Oct 31 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 6.5.7.3-1
- new upstream release 

* Tue Aug  4 2009 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 6.5.4.8-1
- new upstream release 

* Sat Jul  4 2009 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 6.5.4.2-1
- new upstream release
- add BR: graphviz-devel, OpenEXR-devel, ilmbase-devel
- add R: graphviz, OpenEXR-libs, ilmbase

* Sat Jun  6 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 6.5.3.2-1
- new upstream release
- added Packager tag

* Sun Apr 26 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 6.5.1.6-1
- new upstream release

* Sat Apr  4 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 6.5.1.0-1
- new upstream release
- updated BuildRequires

* Sun Mar 22 2009 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 6.4.9.2-2
- enabled lcms as default.

* Fri Feb  6 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 6.4.9.2-1
- new upstream release

* Fri Jan  2 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 6.4.8.3-1
- new upstream release

* Tue Oct 14 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 6.4.4.6-1
- new upstream release

* Fri Aug  1 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 6.4.2.5-1
- new upstream release

* Tue May 27 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 6.4.1.3-1
- new upstream release
- spec in UTF-8

* Mon May 19 2008 Tomohiro 'Tomo-p' KATO <tomop@teamgedoh.net> 6.4.1.0-2
- enabled to build with lcms (use '--with lcms' to enable).

* Tue May  6 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 6.4.1.0-1
- new upstream release
- rebuilt with perl-5.10.0

* Mon Apr 28 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 6.4.0.11-1
- new upstream release
- removed *.la files from devel packages

* Sat Mar 22 2008 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 6.3.9.10-1
- new upstream release
- change files section to fit new release
- build under new versioning policy

* Sat Dec 15 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 6.3.7.4-0vl1
- new upstream release

* Fri Sep 28 2007 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 6.3.5.10-0vl1
- new upstream release with security fixes (CVE-2007-4985,4986,4987,4988)
- add BuildPrereq: librsvg2-devel
- add %{?_smp_mflags} to make command arg

* Thu Aug  9 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 6.3.5.6-0vl1
- new upstream release
- changed Group to Applications/Graphics

* Wed Jun 27 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 6.3.0.1-0vl2
- rebuilt for VineSeed

* Mon Feb 12 2007 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 6.3.0.1-0vl1.1
- update patch1 for fix CVE-2007-0770

* Wed Nov 2 2006 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 6.3.0.1-0vl1
- upstream release
- add patch1 for fix CVE-2006-5456

* Fri Oct 13 2006 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 6.2.9.7-0vl2
- rebuilt (for ppc) to resolve reference to invalid *la files

* Mon Sep 25 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 6.2.9.7-0vl1
- new upstream release

* Wed Aug 16 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 6.2.9.0-0vl1
- new upstream release (Security: http://www.overflow.pl/adv/imsgiheap.txt)

* Mon Mar  6 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 6.2.6.3-0vl1
- new upstream release
- delete duplicated docs under %%{_datadir}/%%{name}-%%{VER}
- add --with-perl-options to configure option

* Sun Dec 25 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 6.2.5.4-0vl1
- new upstream release
- build with XOrg-6.9.0

* Fri Apr 15 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 6.2.1.4-0vl1
- new upstream release
- add %%{_mandir}/man1/ImageMagick.* to main package

* Thu Dec  2 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 6.1.5.8-0vl1
- source upgrade
- remove patch1
- update %%files

* Thu Dec  2 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 6.0.8.3-0vl3
- add patch1 from http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=278401
  (CAN-2004-0981)

* Sat Oct 30 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 6.0.8.3-0vl2
- move $(pkglibdir)/modules-Q16/*/*.la to main package.

* Fri Oct  8 2004 NISHIMURA Daisuke <nishi@graco.c.u-tokyo.ac.jp> 6.0.8.3-0vl1
- source upgrade
- Patch: change default menu font so display can work without XOrg-75dpi-fonts
- add missing docs
- move $(pkglibdir)/modules-Q16/*/*.(a|la) to devel
- *.pc should be in -devel package
- add missing pkg{lib,data}dirs to %%files

* Thu Sep 16 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 6.0.7.4-0vl1
- source upgrade
- add --without-dot to %%configure option
- update %%files section

* Sun Jun 20 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 6.0.2.7-0vl1
- source upgrade

* Fri Jun  4 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 6.0.1.4-0vl1
- source upgrade

* Thu May 13 2004 Satoshi MACHINO <machino@vinelinux.org> 6.0.0.7-0vl3
- add --without-jbig to %%configure option

* Sun May  2 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 6.0.0.7-0vl2
- add --without-lcms to %%configure option

* Sat May  1 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 6.0.0.7-0vl1
- source upgrade
- remove commented lines

* Sun Apr 18 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 6.0.0.2-0vl2
- add BuildPrereq: XOrg-devel libxml2-devel and Requires: libxml2

* Thu Apr 15 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 6.0.0.2-0vl1
- source upgrade
- remove patch for freetype2, no need
- remove commented lines
- add --with-quantum-depth=16 --with-modules --enable-lzw 
  --without-frozenpaths to %%configure option
- remove --with-threads --without-xml from %%configure option
- update %%files

* Wed Jan  7 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 5.5.7.15-0vl3
- patch update
- add --without-jp2 to configure option
- change PerlMagick build method

* Wed Dec 17 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 5.5.7.15-0vl2
- rebuild without jasper-devel

* Tue Dec 16 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 5.5.7.15-0vl1
- source upgrade to 5.5.7-15

* Tue Nov 25 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 5.5.7.13-0vl1
- source upgrade to 5.5.7-13
- add patch0 to build against freetype2-2.1.7

* Thu Oct  2 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 5.5.7.11-0vl1
- source upgrade to 5.5.7-11
- clean up spec
- build without previous package (do not require libMagick.so.0)

* Sun Jun  9 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 5.5.7.9-0vl1
- source upgrade to 5.5.7-9
- revised name of pkgconfig files
- remove BuildPrereq: freetype-devel

* Sun Jun  1 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 5.5.7.6-0vl1
- source upgrade to 5.5.7-6
- disable all patches
- revised %%files section
- disable libtoolize and autotools 
- change PerlMagick build method
- build without previous package (do not require libMagick.so.5)

* Thu May  1 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 5.4.7-6vl4
- rebuild with libpng-1.2.5 (BuildPrereq: libpng-devel >= 1.2.5)
  and perl-5.8.0 (Requires: perl >= 5.8.0 for ImageMagick-perl)

* Mon Apr  7 2003 Hiroaki Irokawa <irorin@terra.dti.ne.jp> 5.4.7-6vl3
- rebuild

* Sun Dec  8 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 5.4.7-6vl2
- rename $arch-vine-linux-foo to foo, same as $arch-vine-linux-gnu-foo.
- FIXME: rpm's macro problem?

- based on 5.4.7-6vl1 from Rawhide and modified for Vine Linux
  previous Vine version was 5.2.9-0vl6: Vine-specific changelog was:

  - Wed Mar 13 2002 Toru Sagami <sagami@vinelinux.org> 5.2.9-0vl6
  - remove unnecessary duplicated %%doc files
  - --without-xml instead of --without-ttf
  - eliminate libungif(-devel) from BuildReq/Requires
  - use freetype2(-devel), instead of freetype1(-devel) for BuildReq/Requires

  - Sat Mar 02 2002 Toru Sagami <sagami@vinelinux.org> 5.2.9-0vl5
  - add delegetes.mgk (and %%{_libdir}/%%{name})

  - Mon Jun 18 2001 MATSUBAYASHI 'Shaolin' Kohji <shaolin@vinelinux.org>
  - 5.2.9-0vl4
  - Sorry, the spec was in Shift_JIS. Fixed.

  - Sat Jun 16 2001 MATSUBAYASHI 'Shaolin' Kohji <shaolin@vinelinux.org>
  - 5.2.9-0vl3
  - rebuilt with perl-5.6.1
  - added Japanese summary and description :-P
  - added --without-ttf in order to disable freetype2 (SeedPlus) support
  - added --without-wmf in order to disable libwmf (SeedPlus) support

  - Sat Jun 16 2001 Yasuhide OMORI <dasen@icntv.ne.jp>
  - 5.2.9-0vl2
  - rebuild on Perl-5.6
  - use %%{perl_sitearch}
  - install headers into /usr/X11R6/include/magick [VineSeed:04131]

  - Tue Feb 20 2001 Jun Nishii <jun@vinelinux.org>
  - 5.2.9-0vl1
  - remove version number of BuildPrereq: freetype-devel >= 2.0.1

* Fri Nov 22 2002 Tim Powers <timp@redhat.com>
- fix perl paths in file list

* Thu Nov 21 2002 Tim Powers <timp@redhat.com>
- lib64'ize
- don't throw stuff in /usr/X11R6, that's for X only
- remove files we aren't shipping

* Sat Aug 10 2002 Elliot Lee <sopwith@redhat.com>
- rebuilt with gcc-3.2 (we hope)

* Tue Jul 23 2002 Tim Powers <timp@redhat.com> 5.4.7-4
- build using gcc-3.2-0.1

* Wed Jul 03 2002 Karsten Hopp <karsten@redhat.de> 5.4.7-3
- fix non-cpp headers in -devel package
- fix #62157 (wrong path for include files in ImageMagick-devel)
- fix #63897 (use _target instead of _arch) in libtool workaround
- fix #65860, #65780 (tiff2ps) expands images to >10 MB Postscript files.

* Mon Jul 01 2002 Karsten Hopp <karsten@redhat.de> 5.4.7-1
- update
- fix localdoc patch
- fix %%files section
- disable nonroot patch
- fix #62100,55950,62162,63136 (display doesn't start form gnome menu)
- fix libtool workaround
- moved Magick*-config into -devel package (#64249)

* Sun May 26 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Mon May  6 2002 Bernhard Rosenkraenzer <bero@redhat.com> 5.4.6-1
- 5.4.6

* Thu Mar 14 2002 Bernhard Rosenkraenzer <bero@redhat.com> 5.4.3.11-1
- Update to pl 11

* Fri Feb 22 2002 Bernhard Rosenkraenzer <bero@redhat.com> 5.4.3.5-1
- Update to 5.4.3 pl5; this fixes #58080

* Thu Jan 17 2002 Bernhard Rosenkraenzer <bero@redhat.com> 5.4.2.3-1
- Patchlevel 3

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Fri Jan  4 2002 Bernhard Rosenkraenzer <bero@redhat.com> 5.4.2.2-1
- Update to 5.4.2-2
- Fix #57923, also don't hardcode netscape as html viewer

* Wed Dec  5 2001 Bernhard Rosenkraenzer <bero@redhat.com> 5.4.1-1
- 5.4.1
- Link against new libstdc++

* Fri Nov  9 2001 Bernhard Rosenkraenzer <bero@redhat.com> 5.4.0.5-1
- 5.4.0.5
- Make the error message when trying to display an hpgl file more
  explicit (#55875)

* Mon Nov  5 2001 Bernhard Rosenkraenzer <bero@redhat.com> 5.4.0.3-1
- 5.4.0.3
- Fix names of man pages

* Mon Oct 22 2001 Bernhard Rosenkraenzer <bero@redhat.com> 5.4.0-1
- 5.4.0
- work around build system breakage causing applications to be named
  %{_arch}-redhat-linux-foo rather than foo

* Wed Sep 19 2001 Bernhard Rosenkraenzer <bero@redhat.com> 5.3.9-1
- 5.3.9

* Mon Aug 27 2001 Bernhard Rosenkraenzer <bero@redhat.com> 5.3.8-3
- Add delegates.mgk back, got lost during the update to 5.3.8 (Makefile bug)
  (#52611)

* Mon Aug 20 2001 Bernhard Rosenkraenzer <bero@redhat.com> 5.3.8-2
- Remove Magick++ includes from -devel, they're already in -c++-devel
  (#51590)

* Sun Jul 28 2001 Bernhard Rosenkraenzer <bero@redhat.com> 5.3.8-1
- 5.3.8 (bugfix release)

* Sat Jul 27 2001 Than Ngo <than@redhat.com> 5.3.7-3
- fix to build Perlmagic on s390 s390x

* Thu Jul 26 2001 Bernhard Rosenkraenzer <bero@redhat.com> 5.3.7-2
- Add delegates.mgk to the package (#50725)

* Tue Jul 24 2001 Bernhard Rosenkraenzer <bero@redhat.com> 5.3.7-1
- 5.3.7
- Fix build without previously installed ImageMagick-devel (#49816)
- Move perl bindings to a separate package.

* Mon Jul  9 2001 Bernhard Rosenkraenzer <bero@redhat.com> 5.3.6-2
- Fix build as non-root again
- Shut up rpmlint

* Tue Jul  3 2001 Bernhard Rosenkraenzer <bero@redhat.com> 5.3.6-1
- 5.3.6
- Get rid of the ia64 patch, it's no longer needed since glibc was fixed

* Sat Jun 16 2001 Than Ngo <than@redhat.com>
- update to 5.3.5
- cleanup specfile

* Sat May 19 2001 Bernhard Rosenkraenzer <bero@redhat.com> 5.3.3-2
- 5.3.3-respin, fixes #41196

* Tue May  1 2001 Bernhard Rosenkraenzer <bero@redhat.com> 5.3.3-1
- 5.3.3
- Add a desktop file for "display" (RFE#17417)

* Sun Apr 15 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- 5.3.2
- work around bugs in ia64 glibc headers

* Mon Jan 08 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- remove patch for s390, it is not necessary

* Mon Jan  1 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- 5.2.7

* Wed Dec 27 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 5.2.6

* Mon Dec 18 2000 Than Ngo <than@redhat.com>
- ported to s390

* Mon Sep 25 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 5.2.4
- Fix up and package the C++ bindings in the new c++/c++-devel packages.

* Wed Aug  2 2000 Matt Wilson <msw@redhat.com>
- rebuild against new libpng

* Wed Jul 19 2000 Nalin Dahyabhai <nalin@redhat.com>
- include images with docs (#10312)

* Thu Jul 13 2000 Matt Wilson <msw@redhat.com>
- don't build with -ggdb, use -g instead.

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Mon Jul  3 2000 Florian La Roche <laroche@redhat.com>
- update to 5.2.2 beta

* Mon Jul  3 2000 Florian La Roche <laroche@redhat.com>
- update to 5.2.1, redone patches as they failed

* Fri Jun 30 2000 Matt Wilson <msw@redhat.com>
- remove hacks to move perl man pages
- don't include the perl*/man stuff, these files go in /usr/share/man now.

* Thu Jun 15 2000 Nalin Dahyabhai <nalin@redhat.com>
- disable optimization on Alpha and Sparc

* Wed Jun 14 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to 5.2.0
- update URL
- remove redundant CXXFLAGS=$RPM_OPT_FLAGS

* Thu Jun  1 2000 Matt Wilson <msw@redhat.com>
- bootstrap rebuilt to nuke broken libbz2 deps
- add Prefix: tag such that the FHS macros work properly

* Wed May 17 2000 Trond Eivind Glomsr <teg@redhat.com>
- now compiles with bzip2 1.0
- changed buildroot to include version

* Fri May  5 2000 Bill Nottingham <notting@redhat.com>
- fix compilation with new perl

* Sat Mar 18 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 5.1.1

* Thu Feb  3 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Rebuild to get compressed man pages

* Thu Nov 18 1999 Michael K. Johnson <johnsonm@redhat.com>
- ugly hack to print with lpr instead of lp

* Mon Aug 30 1999 Bill Nottingham <notting@redhat.com>
- update to 4.2.9

* Tue Aug 17 1999 Bill Nottingham <notting@redhat.com>
- update to 4.2.8

* Fri Apr 09 1999 Cristian Gafton <gafton@redhat.com>
- include the perl man pages as well

* Tue Apr 06 1999 Michael K. Johnson <johnsonm@redhat.com>
- remove --enable-16bit because it damages interoperability

* Mon Apr  5 1999 Bill Nottingham <notting@redhat.com>
- update to 4.2.2
- change ChangeLog to refer to actual dates. 
- strip binaries

* Thu Apr  1 1999 Bill Nottingham <notting@redhat.com>
- add more files. Oops.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Wed Mar 10 1999 Bill Nottingham <notting@redhat.com>
- version 4.2.1

* Tue Jan 19 1999 Michael K. Johnson <johnsonm@redhat.com>
- changed group

* Tue Jan 19 1999 Cristian Gafton <gafton@redhat.com>
- hacks to make it work with the new perl
- version 4.1.0 (actually installs the sonames as 4.0.10... doh!)
- make sure the libraries have the x bit on

* Wed Jun 10 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Apr 21 1998 Cristian Gafton <gafton@redhat.com>
- updated to 4.0.5

* Wed Apr 08 1998 Cristian Gafton <gafton@redhat.com>
- updated to 4.0.4
- added BuildRoot

* Thu Oct 23 1997 Donnie Barnes <djb@redhat.com>
- updated from 3.8.3 to 3.9.1
- removed PNG patch (appears to be fixed)

* Wed Oct 15 1997 Erik Troan <ewt@redhat.com>
- build against new libpng

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Thu Mar 20 1997 Michael Fulbright <msf@redhat.com>
- updated to version 3.8.3.
- updated source and url tags.
