Summary: 	Cairo Composite Manager
Summary(ja):	Cairo コンポジットマネージャ
Name: 	 	cairo-compmgr
Version: 	0.3.0
Release: 	3%{?_dist_release}
Source0:	http://download.tuxfamily.org/ccm/cairo-compmgr/%{name}-%{version}.tar.gz
Source1:	cairo-compmgr-0.3.0-ja.po
Patch1:		cairo-compmgr-0.3.0-modify-pixman-required.patch
Patch2:		cairo-compmgr-0.3.0-vala-0.10-fix.patch
URL:		http://cairo-compmgr.tuxfamily.org/
License:	GPLv2
Group:		User Interface/X

Requires(post):	 desktop-file-utils
Requires(postun):desktop-file-utils
BuildRequires:	pkgconfig 
# down required version of pixman to compile on Vine 5
#BuildRequires:	pixman-devel >= 0.16.0
BuildRequires:	pixman-devel >= 0.15.18
BuildRequires:	libXdamage-devel
BuildRequires:	cairo-devel >= 1.8.0
BuildRequires:	gtk-doc
BuildRequires:	freetype2-devel
BuildRequires:	libpng-devel
BuildRequires:	libdirectfb-devel
BuildRequires:	atk-devel
BuildRequires:	vala-devel >= 0.7.10
BuildRequires:	gtk2-devel >= 2.16.0
BuildRequires:	libXext-devel
BuildRequires:	libSM-devel
BuildRequires:	gettext

BuildRoot:	%{_tmppath}/%{name}%{version}-%{release}-buildroot

%description
Cairo Composite Manager is a versatile and extensible composite manager
which use cairo for rendering. Plugins can be used to add some cool effects
to your desktop.

%description -l ja
Cairo コンポジットマネージャはレンダリングに cairo を使用した多機能で拡張
の可能なコンポジットマネージャです。プラグインを使ってデスクトップにクール
な視覚効果を追加できます。

%package devel
Summary:	Headers and development files of Cairo Composite Manager
Summary(ja):	Cairo コンポジットマネージャの開発用ファイル
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel
This package contains the headers and development files that are needed,
when trying to develop or compile applications which need Cairo Composite Manager.

%description devel -l ja
このパッケージには Cairo コンポジットマネージャを使ったプログラムを開発
するのに必要なヘッダや開発用のファイルが含まれています。


%prep
%setup -q
%patch1 -p1 -b .pixman
%patch2 -p1 -b .vala

%build
%configure
%{__make} %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install DESTDIR=$RPM_BUILD_ROOT

# install japanese translation
%{__mkdir_p} $RPM_BUILD_ROOT/%{_datadir}/locale/ja/LC_MESSAGES
msgfmt %{SOURCE1} -o ${RPM_BUILD_ROOT}/%{_localedir}/ja/LC_MESSAGES/%{name}.mo

%find_lang %{name}

# remove unnecessary files
find $RPM_BUILD_ROOT/%{_libdir} -name "*.la" -exec %{__rm} -f "{}" \;

%post
update-desktop-database %{_datadir}/applications >& /dev/null ||:

%postun
update-desktop-database %{_datadir}/applications >& /dev/null ||:


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS README NEWS COPYING ChangeLog 
%{_bindir}/%{name}
%{_bindir}/ccm-schema-key-to-gconf
%{_libdir}/%{name}
%{_libdir}/libcairo_compmgr.so.0
%{_libdir}/libcairo_compmgr.so.0.0.3
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}
%{_datadir}/vala/vapi
%{_mandir}/man1/%{name}.1*

%files devel
%defattr(-,root,root)
%{_includedir}/%{name}/*.h
%{_libdir}/pkgconfig/*.pc
%{_libdir}/libcairo_compmgr.so
%{_datadir}/gtk-doc/html/%{name}


%changelog
* Mon Sep 27 2010 Shu KONNO <owa@bg.wakwak.com> 0.3.0-3
- rebuilt with rpm-4.8.1 for pkg-config

* Sun Aug 15 2010 Kazutaka HARADA <kazutaka@vinelinux.org> 0.3.0-2
- rebuild with vala-0.9.5
- add Patch2: to fix compile error with vala-0.9.5

* Mon Aug 02 2010 Kazutaka HARADA <kazutaka@vinelinux.org> 0.3.0-1
- initial build for Vine Linux
- add Source1: japanese translation
- add Patch1: modify required version of pixman (for Vine Plus/5)
