# If you want to run test, add "--define '_run_test 1'" to rpm option
%define run_test %{?_run_test:1}%{!?_run_test:0}
%define with_doc %{?_without_doc:1}%{!?_without_doc:0}
%define unicode	 ucs4
%define tcl_major 8.4
%define tk_major 8.4
%define tix_major 8.4
%define pybasever 2.4
%define python_lib %{_libdir}/python%{pybasever}
Packager: owa

Summary: An interpreted, interactive, object-oriented programming language.
Summary(ja): オブジェクト指向言語 Python2.4 インタプリタ
Name: python24
Version: 2.4.6
Release: 4%{?_dist_release}
License: PSF - see LICENSE
Group: Development/Languages
URL: http://www.python.org/2.4/
Source0: Python-%{version}.tar.bz2
Source1: db46_headers.tar.gz
#Source6: http://gigue.peabody.jhu.edu/~mdboom/omi/source/shm_source/shmmodule.c
Source6: shmmodule.c
# For TEST
Source7: http://people.freebsd.org/~perky/i18n/EUC-CN.TXT
Source8: http://www.unicode.org/Public/MAPPINGS/VENDORS/MICSFT/WINDOWS/CP936.TXT
Source9: http://people.freebsd.org/~perky/i18n/BIG5HKSCS.TXT
Source10: http://www.unicode.org/Public/MAPPINGS/VENDORS/MICSFT/WINDOWS/CP932.TXT
Source11: http://people.freebsd.org/~perky/i18n/EUC-JP.TXT
Source12: http://www.unicode.org/Public/MAPPINGS/OBSOLETE/EASTASIA/JIS/SHIFTJIS.TXT
Source13: http://people.freebsd.org/~perky/i18n/EUC-JISX0213.TXT
Source14: http://people.freebsd.org/~perky/i18n/SHIFT_JISX0213.TXT
Source15: http://www.unicode.org/Public/MAPPINGS/VENDORS/MICSFT/WINDOWS/CP949.TXT
Source16: http://people.freebsd.org/~perky/i18n/EUC-KR.TXT
Source17: http://www.unicode.org/Public/MAPPINGS/OBSOLETE/EASTASIA/KSC/JOHAB.TXT
Source18: http://www.unicode.org/Public/MAPPINGS/OBSOLETE/EASTASIA/OTHER/BIG5.TXT
Source19: http://www.unicode.org/Public/MAPPINGS/VENDORS/MICSFT/WINDOWS/CP950.TXT
Source20: http://www.unicode.org/Public/3.2-Update/NormalizationTest-3.2.0.txt


#Patch0: python-2.4.6-config.patch
Patch3: Python-2.2.1-pydocnogui.patch
Patch4: Python-2.3.3-nowhatsnew.patch
Patch5: Python-2.3.3-distutilrpm.patch

#Patch8: python-2.4.2-lib64.patch
#Patch9: python-2.4.4c1-setup.lib64.patch
Patch10: python-2.4.6-Setup.patch
Patch11: python-2.4.6-Setup64.patch
Patch12: python-2.4.6-lib64.patch
Patch13: python-2.4.6-bsddb.patch

# Security fixes
Patch100: python-2.4.4_CVE-2007-4965.patch
Patch110: python-2.4.4_CVE-2008-1721.patch
Patch120: python-2.4.4-CVE-2008-1679.patch
Patch130: python-2.4.4_CVE-2008-1887.patch
Patch140: python-2.4.4_CVE-2007-2052.patch

Obsoletes: python2 
Obsoletes: Distutils
Obsoletes: python-base
Provides: Distutils
Provides: python2.4

BuildRequires: db4-devel
BuildRequires: readline-devel, libtermcap-devel, openssl-devel, gmp-devel
#BuildRequires: ncurses-devel, gdbm-devel, zlib-devel, expat-devel, tetex-latex
BuildRequires: ncurses-devel, gdbm-devel, zlib-devel, expat-devel
BuildRequires: tk tix gcc-c++ glibc-devel
BuildRequires: xorg-x11-devel mesa-libGL-devel
BuildRequires: gzip tar /usr/bin/find pkgconfig bzip2-devel
BuildRequires: nkf
%if %{with_doc}
BuildRequires: latex2html
%endif
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
Python is an interpreted, interactive, object-oriented programming
language often compared to Tcl, Perl, Scheme or Java. Python includes
modules, classes, exceptions, very high level dynamic data types and
dynamic typing. Python supports interfaces to many system calls and
libraries, as well as to various windowing systems (X11, Motif, Tk,
Mac and MFC).

Programmers can write new built-in modules for Python in C or C++.
Python can be used as an extension language for applications that need
a programmable interface. This package contains most of the standard
Python modules, as well as modules for interfacing to the Tix widget
set for Tk and RPM.

Note that documentation for Python is provided in the python-docs
package.

%package devel
Summary: The libraries and header files needed for Python development.
Summary(ja): Python での開発に必要なライブラリやヘッダファイル
Group: Development/Libraries
Obsoletes: python2-devel

%description devel
The Python programming language's interpreter can be extended with
dynamically loaded extensions and can be embedded in other programs.
This package contains the header files and libraries needed to do
these types of tasks.

Install python-devel if you want to develop Python extensions.  The
python package will also need to be installed.  You'll probably also
want to install the python-docs package, which contains Python
documentation.

%package tools
Summary: A collection of development tools included with Python.
Summary(ja): Python に含まれる開発ツール一式
Group: Development/Tools
Requires: %{name} = %{version}
Requires: %{name}-tkinter = %{version}
Obsoletes: python2-tools

%description tools
The Python package includes several development tools that are used
to build python programs.

%package docs
Summary: Documentation for the Python programming language.
Summary(ja): Python プログラミング言語のドキュメント
Group: Applications/Documentation
Obsoletes: python2-docs

%description docs
The python-docs package contains documentation on the Python
programming language and interpreter.  The documentation is provided
in ASCII text files and in LaTeX source files.

Install the python-docs package if you'd like to use the documentation
for the Python language.

%package tkinter
Summary: A graphical user interface for the Python scripting language.
Summary(ja): Python スクリプト言語のグラフィカルインターフェイス
Group: Development/Languages
Obsoletes: tkinter2
BuildRequires:  tcl, tk
Requires: %{name} = %{version}
Requires: tix

%description tkinter
The Tkinter (Tk interface) program is an graphical user interface for
the Python scripting language.

You should install the tkinter package if you'd like to use a graphical
user interface for Python programming.

%prep
%setup -q -n Python-%{version} -a 1

#%patch0 -p1 -b .Setup
%patch3 -p1 -b .no_gui
%patch4 -p1 -b .nowhatsnew
%patch5 -p1

%if %{_lib} == lib64
%patch11 -p1 -b .Setup64
%patch12 -p1 -b .lib64
%else
%patch10 -p1 -b .Setup
%endif
%patch13 -p1 -b .bsddb


# security fixes
#%patch100 -p1 -b .CVE-2007-4965
#%patch110 -p1 -b .CVE-2008-1721
#%patch120 -p1 -b .CVE-2008-1679
#%patch130 -p0 -b .CVE-2008-1887
%patch140 -p0 -b .CVE-2007-2052

# remove unneeded files
rm -vf Lib/test/test_*.py.CVE*
rm -vf Lib/test/test_*.py.orig
rm -vf Lib/test/test_*.py.org

# Temporary workaround to avoid confusing find-requires: don't ship the tests
# as executable files
chmod 0644 Lib/test/test_*.py

# shm module
cp %{SOURCE6} Modules
cat >> Modules/Setup.dist << EOF

# Shared memory module
shm shmmodule.c
EOF

# Fix library flags
pushd Modules
mv Setup.dist Setup.dist.in
sed "s|-ltcl|-ltcl%{tcl_major}|" < Setup.dist.in |\
sed "s|-ltk|-ltk%{tk_major}|" |\
sed "s|-ltix|-ltix%{tix_major}|"  > Setup.dist
rm -f Setup.dist.in
popd


%build
topdir=`pwd`
export CFLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE -fPIC"
export CXXFLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE -fPIC"
export OPT="$RPM_OPT_FLAGS -D_GNU_SOURCE -fPIC"
export LINKCC="gcc"
if pkg-config openssl ; then
	export CFLAGS="$CFLAGS `pkg-config --cflags openssl`"
	export LDFLAGS="$LDFLAGS `pkg-config --libs-only-L openssl`"
fi
%configure --enable-ipv6 --enable-unicode=%{unicode} --enable-shared

make OPT="$CFLAGS" %{?_smp_mflags}
LD_LIBRARY_PATH=$topdir $topdir/python Tools/scripts/pathfix.py -i "/usr/bin/env python%{pybasever}" .
make OPT="$CFLAGS" %{?_smp_mflags}

# Doc
%if %{with_doc}
make %{?_smp_mflags} -C Doc
rm Doc/html/index.html.in
%endif

# Test
%if %{run_test}
cp %{SOURCE7} ./
cp %{SOURCE8} ./
cp %{SOURCE9} ./
cp %{SOURCE10} ./
cp %{SOURCE11} ./
cp %{SOURCE12} ./
cp %{SOURCE13} ./
cp %{SOURCE14} ./
cp %{SOURCE15} ./
cp %{SOURCE16} ./
cp %{SOURCE17} ./
cp %{SOURCE18} ./
cp %{SOURCE19} ./
cp %{SOURCE20} ./
# This runs the test set twice (once with no compiled files, once with
# the compiled files left by the previous test run).
export LD_LIBRARY_PATH=$topdir
export PYTHONHOME=$topdir
export PYTHONPATH=$topdir/Lib:$topdir/Lib/test:$topdir/Lib/lib-tk:$topdir/Lib/site-packages:$topdir/Modules:$topdir/build/lib.linux-%{_host_cpu}-%{pybasever}

find ./Lib -name '*.py[co]' -print | xargs rm -f
./python -tt ./Lib/test/regrtest.py -l
./python -tt ./Lib/test/regrtest.py -l
#./python -tt ./Lib/test/test_bsddb.py -l
#./python -tt ./Lib/test/test_bsddb.py -l
%endif


%install
rm -fr $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr $RPM_BUILD_ROOT%{_mandir}

# Clean up patched .py files that are saved as .lib64
for f in distutils/command/install distutils/sysconfig; do
    rm -f Lib/$f.py.lib64
done

make DESTDIR=$RPM_BUILD_ROOT install

# Fix the interpreter path in binaries installed by distutils 
# (which changes them by itself)
# Make sure we preserve the file permissions
for fixed in $RPM_BUILD_ROOT/usr/bin/pydoc; do
    sed 's,#!.*/python$,#!/usr/bin/env python%{pybasever},' $fixed > $fixed- \
        && cat $fixed- > $fixed && rm -f $fixed-
done

# tools
mkdir -p $RPM_BUILD_ROOT%{python_lib}/site-packages

echo "#!/bin/bash
exec %{python_lib}/site-packages/pynche/pynche" \
	> $RPM_BUILD_ROOT/usr/bin/pynche
chmod 755 $RPM_BUILD_ROOT/usr/bin/pynche

echo "#!/bin/bash
exec %{python_lib}/site-packages/modulator/modulator.py" \
	> $RPM_BUILD_ROOT/usr/bin/modulator
chmod 755 $RPM_BUILD_ROOT/usr/bin/modulator

# idle
mkdir -p $RPM_BUILD_ROOT%{python_lib}/site-packages/idle
install -m 755 ./Lib/idlelib/idle.py $RPM_BUILD_ROOT%{python_lib}/site-packages/idle
mv $RPM_BUILD_ROOT/usr/bin/idle $RPM_BUILD_ROOT/idle
sed "s/python/&%{pybasever}/" $RPM_BUILD_ROOT/idle > $RPM_BUILD_ROOT/usr/bin/idle
chmod 755 $RPM_BUILD_ROOT/usr/bin/idle
rm $RPM_BUILD_ROOT/idle

#modulator
cp -r Tools/modulator ${RPM_BUILD_ROOT}%{python_lib}/site-packages/

#pynche
rm -f Tools/pynche/*.pyw
cp -r Tools/pynche $RPM_BUILD_ROOT%{python_lib}/site-packages/

(mv Tools/modulator/README Tools/modulator/README.modulator)
(mv Tools/pynche/README Tools/pynche/README.pynche)

#gettext
install -m755  Tools/i18n/pygettext.py $RPM_BUILD_ROOT/usr/bin/
install -m755  Tools/i18n/msgfmt.py $RPM_BUILD_ROOT/usr/bin/

# Get rid of crap
find $RPM_BUILD_ROOT/ -name "*~"|xargs rm -f
find $RPM_BUILD_ROOT/ -name ".cvsignore"|xargs rm -f
find . -name "*~"|xargs rm -f
find . -name ".cvsignore"|xargs rm -f
#zero length
rm -f $RPM_BUILD_ROOT%{python_lib}/site-packages/modulator/Templates/copyright

# Clean up the testsuite - we don't need compiled files for it
find $RPM_BUILD_ROOT%{python_lib}/test \
    -name "*.pyc" -o -name "*.pyo" | xargs rm -f
rm -f $RPM_BUILD_ROOT%{python_lib}/LICENSE.txt

find $RPM_BUILD_ROOT%{python_lib}/lib-dynload -type f | grep -v _tkinter.so | sed "s|$RPM_BUILD_ROOT||" > dynfiles

chmod 755 $RPM_BUILD_ROOT%{python_lib}/lib-dynload/*.so
chmod 755 $RPM_BUILD_ROOT%{_libdir}/libpython*.so.*

## move conflict files
mkdir -p $RPM_BUILD_ROOT%{python_lib}/bin
mv $RPM_BUILD_ROOT%{_bindir}/* $RPM_BUILD_ROOT%{python_lib}/bin
mv $RPM_BUILD_ROOT%{python_lib}/bin/python%{pybasever} $RPM_BUILD_ROOT%{_bindir}/
rm -rf $RPM_BUILD_ROOT%{_mandir}

%clean
rm -fr $RPM_BUILD_ROOT


%files -f dynfiles
%defattr(-, root, root)
%doc LICENSE README
%{_bindir}/python%{pybasever}
%{_libdir}/libpython%{pybasever}.so*
%dir %{python_lib}
%dir %{python_lib}/bin
%dir %{python_lib}/lib-dynload
%dir %{python_lib}/site-packages
%{python_lib}/bin/python
%{python_lib}/*.py*
%{python_lib}/*.doc
%{python_lib}/bsddb
%{python_lib}/compiler
%{python_lib}/curses
%{python_lib}/distutils
%{python_lib}/email
%{python_lib}/encodings
%{python_lib}/hotshot
%{python_lib}/idlelib
%{python_lib}/lib-old
%{python_lib}/logging
%{python_lib}/plat-linux2
%{python_lib}/xml
#%{_mandir}/*/*

%files devel
%defattr(-,root,root)
%{_includedir}/*
%{python_lib}/config
%{python_lib}/test

%files tools
%defattr(-,root,root,755)
%doc Tools/modulator/README.modulator
%doc Tools/pynche/README.pynche
%exclude %{python_lib}/bin/python
%{python_lib}/bin/*
%{python_lib}/site-packages

%if %{with_doc}
%files docs
%defattr(-,root,root,755)
%doc Misc/NEWS  Misc/README Misc/cheatsheet 
%doc Misc/HISTORY Doc/html
%endif

%files tkinter
%defattr(-,root,root,755)
%{python_lib}/lib-tk
%{python_lib}/lib-dynload/_tkinter.so

%changelog
* Sun Sep 26 2010 Shu KONNO <owa@bg.wakwak.com> python2.4-2.4.6-4
- rebuilt with rpm-4.8.1 for pkg-config

* Tue Apr 20 2010 Shu KONNO <owa@bg.wakwak.com> python2.4-2.4.6-3
- added db46_headers.tar.gz
- update Setup.dist{32,64}.patch
- changed default to '--without doc'
- s/BuildPreReq/BuildRequires/

* Thu May 07 2009 Shu KONNO <owa@bg.wakwak.com> python2.4-2.4.6-2vl5
- added python-2.4.6-{Setup,Setup64,lib64}.patch
  - added _bsddb module
  - dropt Patch{0,8,9}
- added python-2.4.6-bsddb.patch

* Sat Dec 20 2008 Shu KONNO <owa@bg.wakwak.com> python2.4-2.4.6-1vl5
- new upstream release
- dropt python-2.4.4_CVE-2007-4965.patch
- dropt python-2.4.4_CVE-2008-1721.patch
- dropt python-2.4.4-CVE-2008-1679.patch
- dropt python-2.4.4_CVE-2008-1887.patch

* Wed Oct 22 2008 Shu KONNO <owa@bg.wakwak.com> python2.4-2.4.5-1vl5
- new package name is %{name}
- new sub-package name is %{name}-*

* Sun Jun 08 2008 Shu KONNO <owa@bg.wakwak.com> 2.4.5-1vl5
- applied new versioning policy and spec in utf-8
- added BuildPrereq: xorg-x11-devel
- imported updates from Vine4.2
	* Fri Apr 25 2008 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 2.4.4-1.4vl4
	- add patch120 for fix CVE-2008-1679 (added fix of CVE-2007-4965)
	- add patch130 for fix CVE-2008-1887 (PyString_FromStringAndSize)
	- add patch140 for fix CVE-2007-2052 (_localemodule.c off-by-one err)
	* Mon Apr 21 2008 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 2.4.4-1.3vl4
	- add patch110 CVE-2008-1721 (zlib module)
	- add remove unneeded files in Lib/test/
	#- new versioning policy

* Wed Mar 12 2008 Shu KONNO <owa@bg.wakwak.com> 2.4.5-0vl1
- updated python to 2.4.5

* Wed Feb 20 2008 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 2.4.4-0vl7
- rebuild with expat-2.0.1

* Mon Feb 18 2008 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 2.4.4-0vl6
- fix typo on Patch0 (s/db-4.2/db-4.3/)

* Sun Feb 17 2008 Shu KONNO <owa@bg.wakwak.com> 2.4.4-0vl5
- rebuild with tcl/tk-8.4.18

* Sat Dec 01 2007 Shu KONNO <owa@bg.wakwak.com> 2.4.4-0vl4
- imported updates from Vine4.2 Plus
	* Thu Nov 01 2007 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 2.4.4-0vl1.2
	- add BuildPrereq: nkf
	* Wed Oct 31 2007 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 2.4.4-0vl1.1
	- add patch100 for fix CVE-2007-4965 (imageop Module integer OF)

* Sat Jun 16 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.4.4-0vl3
- rebuilt with openssl-0.9.8e and tix-8.4.2
- fixed spec file encoding

* Wed May 09 2007 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 2.4.4-0vl2
- rebuilt with new toolchain and db4-4.3.x
- modified Patch0 (s/db-4.2/db-4.3/)

* Thu Oct 19 2006 Shu KONNO <owa@bg.wakwak.com> 2.4.4-0vl1
- updated python to 2.4.4 (included security fix PSF-2006-001)
- added japanese summary
- updated patch8 (python-2.4.2-lib64.patch)
- added patch9 (python-2.4.4c1-setup.lib64.patch)

* Wed Sep 13 2006 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 2.4.3-0vl4
- change docs Group to Applications/Documentation. <BTS:VineLinux:163>

* Fri Aug 18 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 2.4.3-0vl3
- rebuild with readline-5.1 (x86_64)

* Fri Apr 14 2006 Shu KONNO <owa@bg.wakwak.com> 2.4.3-0vl2
- fixed python-2.4.3-config.patch cause undefined symbol: crypt

* Thu Mar 30 2006 Shu KONNO <owa@bg.wakwak.com> 2.4.3-0vl1
- updated python to 2.4.3
- added python-2.4.3-config.patch instead of python-2.4.1c1-config.patch

* Wed Feb 15 2006 Shu KONNO <owa@bg.wakwak.com> 2.4.2-0vl5
- set permition of lib-dynload/*.so to 755
- added without_doc option
- rebuilt with x86_64

* Thu Nov 17 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 2.4.2-0vl4
- add run_test option

* Fri Nov  4 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 2.4.2-0vl3.2
- add BuildPrereq: bzip2-devel
- arrange testing script

* Wed Nov 02 2005 Shu KONNO <owa@bg.wakwak.com> 2.4.2-0vl3.1
- back to %%configure macro
- change testing script

* Mon Oct 31 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 2.4.2-0vl3
- update Patch8 (VineSeed:10306)
- use ./configure instead of %%configure script
- add forgotten popd

* Fri Oct 28 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 2.4.2-0vl2
- add --enable-shared to confiugre option
- add %%{_libdir}/libpython2.4.so* to python package
- add LD_LIBRARY_PATH=$topdir to use pathfix.py
- change build method of Doc
- add files for make test
- change install method

* Wed Sep 28 2005 Shu KONNO <owa@bg.wakwak.com> 2.4.2-0vl1
- update python to 2.4.2 (final)

* Wed Mar 30 2005 Shu KONNO <owa@bg.wakwak.com> 2.4.1-0vl1
- update python to 2.4.1 (final)

* Sat Mar 19 2005 Shu KONNO <owa@bg.wakwak.com> 2.4.1-0vl0.c2
- update python to 2.4.1c2
- moved all site-packages files to python-tools package

* Sat Mar 12 2005 Shu KONNO <owa@bg.wakwak.com> 2.4.1-0vl0.c1
- update python to 2.4.1c1
- droped aspython2 macros
- droped japanese-codecs module
- droped Source2 idle, now it's provided from original source 
- droped Source3 modulator, now it's generated in a spec file
- droped Source4 pynche, now it's generated in a spec file
- droped Python-2.3.3-buildroot-bytecode.patch
- changed python-2.3.3-config2.patch to python-2.4.1c1-config.patch

* Wed Feb 09 2005 Shu KONNO <owa@bg.wakwak.com> 2.3.5-0vl1
- update python to 2.3.5

* Fri Feb 04 2005 Shu KONNO <owa@bg.wakwak.com> 2.3.4-0vl6
- add PSF-2005-001.patch

* Wed Nov 17 2004 Shu KONNO <owa@bg.wakwak.com> 2.3.4-0vl4
- rebuilt

* Wed Oct 13 2004 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 2.3.4-0vl3
- modified Patch0 and Patch8 (-ldb-4.0 -> -ldb-4.2)

* Wed Oct 13 2004 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 2.3.4-0vl2
- rebuilt with db4-4.2.25

* Thu May 27 2004 Shu KONNO <owa@bg.wakwak.com> 2.3.4-0vl1
- updated python to 2.3.4
- fixed patch10, patch11

* Sat Apr 17 2004 Shu KONNO <owa@bg.wakwak.com> 2.3.3-0vl1
- rebuild

* Thu Apr 08 2004 Shu KONNO <owa@bg.wakwak.com> 2.3.3-0vl0.3
- updated python-2.3.3-config2.patch

* Thu Apr 08 2004 Shu KONNO <owa@bg.wakwak.com> 2.3.3-0vl0.2
- added librarys 'logging, bsddb, idlelib' to /usr/lib/python2.3

* Wed Apr 07 2004 Shu KONNO <owa@bg.wakwak.com> 2.3.3-0vl0.1
- updated python to 2.3.3
- changed version code 2.2.3 to 2.3.3 in source{2,3,4}
- updated config2.patch for 2.3.3
- updated nowhatsnew.patch for 2.3.3
- updated distutilrpm.patch in which tabstops have made indent error
- updated buildroot-bytecode.patch for 2.3.3
- deleted buildroot.patch which fixed in 2.3.3
- changed Tools/idle with Lib/idlelib

* Wed Mar 31 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 2.2.3-3vl3
- rebuild with openssl-0.9.7d

* Wed Mar 03 2004 Shu KONNO <owa@bg.wakwak.com> 2.2.3-3vl2
- updated JapaneseCodecs to 1.4.10

* Wed Jul 09 2003 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 2.2.3-3vl1
- synced with RawHide 2.2.3-3 (substantially source ver up)

* Mon Mar 31 2003 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 2.2.2-26vl1
- rebuild with tcltk-8.4.2
- synced with RawHide 2.2.2-26
  * Mon Feb 24 2003 Elliot Lee <sopwith@redhat.com>
  - rebuilt

  * Mon Feb 24 2003 Mihai Ibanescu <misa@redhat.com> 2.2.2-25
  - Fixed bug #84886: pydoc dies when run w/o arguments
  - Fixed bug #84205: add python shm module back (used to be shipped with 1.5.2)
  - Fixed bug #84966: path in byte-compiled code still wrong

  * Thu Feb 20 2003 Jeremy Katz <katzj@redhat.com> 2.2.2-23
  - ftp uri's should be able to specify being rooted at the root instead of 
    where you login via ftp (#84692)

  * Mon Feb 10 2003 Mihai Ibanescu <misa@redhat.com> 2.2.2-22
  - Using newer Japanese codecs (1.4.9). Thanks to 
    Peter Bowen <pzb@datastacks.com> for pointing this out.

  * Thu Feb  6 2003 Mihai Ibanescu <misa@redhat.com> 2.2.2-21
  - Rebuild

  * Wed Feb  5 2003 Mihai Ibanescu <misa@redhat.com> 2.2.2-20
  - Release number bumped really high: turning on UCS4 (ABI compatibility
    breakage)

  * Fri Jan 31 2003 Mihai Ibanescu <misa@redhat.com> 2.2.2-13
  - Attempt to look both in /usr/lib64 and /usr/lib/python2.2/site-packages/:
    some work on python-2.2.2-lib64.patch

  * Thu Jan 30 2003 Mihai Ibanescu <misa@redhat.com> 2.2.2-12
  - Rebuild to incorporate the removal of .lib64 and - files.

  * Thu Jan 30 2003 Mihai Ibanescu <misa@redhat.com> 2.2.2-11.7.3
  - Fixed bug #82544: Errata removes most tools
  - Fixed bug #82435: Python 2.2.2 errata breaks redhat-config-users
  - Removed .lib64 and - files that get installed after we fix the multilib
    .py files.

  * Wed Jan 22 2003 Tim Powers <timp@redhat.com>
  - rebuilt

  * Wed Jan 15 2003 Jens Petersen <petersen@redhat.com> 2.2.2-10
  - rebuild to update tkinter's tcltk deps
  - convert changelog to utf-8


* Wed Jan 15 2003 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 2.2.2-9vl0
- rebuilt for Vine Linux against db4
- obsolete python-base (which comes with python-2.2.1 of TestPkg)

* Tue Jan  7 2003 Nalin Dahyabhai <nalin@redhat.com> 2.2.2-9
- rebuild

* Fri Jan  3 2003 Nalin Dahyabhai <nalin@redhat.com>
- pick up OpenSSL cflags and ldflags from pkgconfig if available

* Thu Jan  2 2003 Jeremy Katz <katzj@redhat.com> 2.2.2-8
- urllib2 didn't support non-anonymous ftp.  add support based on how 
  urllib did it (#80676, #78168)

* Mon Dec 16 2002 Mihai Ibanescu <misa@redhat.com> 2.2.2-7
- Fix bug #79647 (Rebuild of SRPM fails if python isn't installed)
- Added a bunch of missing BuildRequires found while fixing the
  above-mentioned bug

* Tue Dec 10 2002 Tim Powers <timp@redhat.com> 2.2.2-6
- rebuild to fix broken tcltk deps for tkinter

* Fri Nov 22 2002 Mihai Ibanescu <misa@redhat.com>
2.2.2-3.7.3
- Recompiled for 7.3 (to fix the -lcrypt bug)
- Fix for the spurious error message at the end of the build (build-requires
  gets confused by executable files starting with """"): make the tests
  non-executable.

* Wed Nov 20 2002 Mihai Ibanescu <misa@redhat.com>
2.2.2-5
- Fixed configuration patch to add -lcrypt when compiling cryptmodule.c

2.2.2-4
- Spec file change from Matt Wilson <msw@redhat.com> to disable linking 
  with the C++ compiler.

* Mon Nov 11 2002 Mihai Ibanescu <misa@redhat.com>
2.2.2-3.*
- Merged patch from Karsten Hopp <karsten@redhat.de> from 2.2.1-17hammer to
  use %%{_libdir}
- Added XFree86-libs as BuildRequires (because of tkinter)
- Fixed duplicate listing of plat-linux2
- Fixed exclusion of lib-dynload/japanese
- Added lib64 patch for the japanese codecs
- Use setup magic instead of using tar directly on JapaneseCodecs

* Tue Nov  5 2002 Mihai Ibanescu <misa@redhat.com>
2.2.2-2
- Fix #76912 (python-tools contains idle, which uses tkinter, but there is no
  requirement of tkinter from python-tools).
- Fix #74013 (rpm is missing the /usr/lib/python2.2/test directory)

* Mon Nov  4 2002 Mihai Ibanescu <misa@redhat.com>
- builds as python2 require a different libdb
- changed the buildroot name of python to match python2 builds

* Fri Nov  1 2002 Mihai Ibanescu <misa@redhat.com>
- updated python to 2.2.2 and adjusted the patches accordingly

* Mon Oct 21 2002 Mihai Ibanescu <misa@redhat.com>
- Fix #53930 (Python-2.2.1-buildroot-bytecode.patch)
- Added BuildPrereq dependency on gcc-c++

* Fri Aug 30 2002 Trond Eivind Glomsroed <teg@redhat.com> 2.2.1-17
- security fix for _execvpe

* Tue Aug 13 2002 Trond Eivind Glomsroed <teg@redhat.com> 2.2.1-16
- Fix  #71011,#71134, #58157

* Wed Aug  7 2002 Trond Eivind Glomsroed <teg@redhat.com> 2.2.1-15
- Resurrect tkinter
- Fix for distutils (#67671)
- Fix #69962

* Thu Jul 25 2002 Trond Eivind Glomsroed <teg@redhat.com> 2.2.1-14
- Obsolete tkinter/tkinter2 (#69838)

* Tue Jul 23 2002 Trond Eivind Glomsroed <teg@redhat.com> 2.2.1-13
- Doc fixes (#53951) - not on alpha at the momemt

* Mon Jul  8 2002 Trond Eivind Glomsroed <teg@redhat.com> 2.2.1-12
- fix pydoc (#68082)

* Mon Jul  8 2002 Trond Eivind Glomsroed <teg@redhat.com> 2.2.1-11
- Add db4-devel as a BuildPrereq

* Fri Jun 21 2002 Tim Powers <timp@redhat.com> 2.2.1-10
- automated rebuild

* Mon Jun 17 2002 Trond Eivind Glomsroed <teg@redhat.com> 2.2.1-9
- Add Japanese codecs (#66352)

* Tue Jun 11 2002 Trond Eivind Glomsroed <teg@redhat.com> 2.2.1-8
- No more tkinter...

* Wed May 29 2002 Trond Eivind Glomsroed <teg@redhat.com> 2.2.1-7
- Rebuild

* Tue May 21 2002 Trond Eivind Glomsroed <teg@redhat.com> 2.2.1-6
- Add the email subcomponent (#65301)

* Fri May 10 2002 Trond Eivind Glomsroed <teg@redhat.com> 2.2.1-5
- Rebuild

* Thu May 02 2002 Than Ngo <than@redhat.com> 2.2.1-4
- rebuild i new enviroment

* Tue Apr 23 2002 Trond Eivind Glomsroed <teg@redhat.com>
- Use ucs2, not ucs4, to avoid breaking tkinter (#63965)

* Mon Apr 22 2002 Trond Eivind Glomsroed <teg@redhat.com> 2.2.1-2
- Make it use db4

* Fri Apr 12 2002 Trond Eivind Glomsroed <teg@redhat.com> 2.2.1-1
- 2.2.1 - a bugfix-only release

* Fri Apr 12 2002 Trond Eivind Glomsroed <teg@redhat.com> 2.2-16
- the same, but in builddirs - this will remove them from the 
  docs package, which doesn't look in the buildroot for files.

* Fri Apr 12 2002 Trond Eivind Glomsroed <teg@redhat.com> 2.2-15
- Get rid of temporary files and .cvsignores included 
  in the tarball and make install

* Fri Apr  5 2002 Trond Eivind Glomsroed <teg@redhat.com> 2.2-14
- Don't own lib-tk in main package, only in tkinter (#62753)

* Mon Mar 25 2002 Trond Eivind Glomsroed <teg@redhat.com> 2.2-13
- rebuild

* Mon Mar 25 2002 Trond Eivind Glomsroed <teg@redhat.com> 2.2-12
- rebuild

* Fri Mar  1 2002 Trond Eivind Glomsroed <teg@redhat.com> 2.2-11
- Add a not to the Distutils obsoletes test (doh!)

* Fri Mar  1 2002 Trond Eivind Glomsroed <teg@redhat.com> 2.2-10
- Rebuild

* Mon Feb 25 2002 Trond Eivind Glomsroed <teg@redhat.com> 2.2-9
- Only obsolete Distutils when built as python

* Thu Feb 21 2002 Trond Eivind Glomsroed <teg@redhat.com> 2.2-8
- Make files in /usr/bin install side by side with python 1.5 when
- Drop explicit requirement of db4
  built as python2

* Thu Jan 31 2002 Elliot Lee <sopwith@redhat.com> 2.2-7
- Use version and pybasever macros to make updating easy
- Use _smp_mflags macro

* Tue Jan 29 2002 Trond Eivind Glomsroed <teg@redhat.com> 2.2-6
- Add db4-devel to BuildPrereq

* Fri Jan 25 2002 Nalin Dahyabhai <nalin@redhat.com> 2.2-5
- disable ndbm support, which is db2 in disguise (really interesting things
  can happen when you mix db2 and db4 in a single application)

* Thu Jan 24 2002 Trond Eivind Glomsroed <teg@redhat.com> 2.2-4
- Obsolete subpackages if necesarry 
- provide versioned python2
- build with db4

* Wed Jan 16 2002 Trond Eivind Glomsroed <teg@redhat.com> 2.2-3
- Alpha toolchain broken. Disable build on alpha.
- New openssl

* Wed Dec 26 2001 Trond Eivind Glomsroed <teg@redhat.com> 2.2-1
- 2.2 final

* Fri Dec 14 2001 Trond Eivind Glomsroed <teg@redhat.com> 2.2-0.11c1
- 2.2 RC 1
- Don't include the _tkinter module in the main package - it's 
  already in the tkiter packace
- Turn off the mpzmodule, something broke in the buildroot

* Wed Nov 28 2001 Trond Eivind Glomsroed <teg@redhat.com> 2.2-0.10b2
- Use -fPIC for OPT as well, in lack of a proper libpython.so

* Mon Nov 26 2001 Matt Wilson <msw@redhat.com> 2.2-0.9b2
- changed DESTDIR to point to / so that distutils will install dynload
  modules properly in the installroot

* Fri Nov 16 2001 Matt Wilson <msw@redhat.com> 2.2-0.8b2
- 2.2b2

* Fri Oct 26 2001 Matt Wilson <msw@redhat.com> 2.2-0.7b1
- python2ify

* Fri Oct 19 2001 Trond Eivind Glomsroed <teg@redhat.com> 2.2-0.5b1
- 2.2b1

* Sun Sep 30 2001 Trond Eivind Glomsroed <teg@redhat.com> 2.2-0.4a4
- 2.2a4
- Enable UCS4 support
- Enable IPv6
- Provide distutils
- Include msgfmt.py and pygettext.py

* Fri Sep 14 2001 Trond Eivind Glomsroed <teg@redhat.com> 2.2-0.3a3
- Obsolete Distutils, which is now part of the main package
- Obsolete python2

* Thu Sep 13 2001 Trond Eivind Glomsroed <teg@redhat.com> 2.2-0.2a3
- Add docs, tools and tkinter subpackages, to match the 1.5 layout

* Wed Sep 12 2001 Trond Eivind Glomsroed <teg@redhat.com> 2.2-0.1a3
- 2.2a3
- don't build tix and blt extensions

* Mon Aug 13 2001 Trond Eivind Glomsroed <teg@redhat.com>
- Add tk and tix to build dependencies

* Sat Jul 21 2001 Trond Eivind Glomsroed <teg@redhat.com>
- 2.1.1 bugfix release - with a GPL compatible license

* Fri Jul 20 2001 Trond Eivind Glomsroed <teg@redhat.com>
- Add new build dependencies (#49753)

* Tue Jun 26 2001 Nalin Dahyabhai <nalin@redhat.com>
- build with -fPIC

* Fri Jun  1 2001 Trond Eivind Glomsroed <teg@redhat.com>
- 2.1
- reorganization of file includes

* Wed Dec 20 2000 Trond Eivind Glomsroed <teg@redhat.com>
- fix the "requires" clause, it lacked a space causing problems
- use %%{_tmppath}
- don't define name, version etc
- add the available patches from the Python home page

* Fri Dec 15 2000 Matt Wilson <msw@redhat.com>
- added devel subpackage

* Fri Dec 15 2000 Matt Wilson <msw@redhat.com>
- modify all files to use "python2.0" as the intrepter
- don't build the Expat bindings
- build against db1

* Mon Oct 16 2000 Jeremy Hylton <jeremy@beopen.com>
- updated for 2.0 final

* Mon Oct  9 2000 Jeremy Hylton <jeremy@beopen.com>
- updated for 2.0c1
- build audioop, imageop, and rgbimg extension modules
- include xml.parsers subpackage
- add test.xml.out to files list

* Thu Oct  5 2000 Jeremy Hylton <jeremy@beopen.com>
- added bin/python2.0 to files list (suggested by Martin v. Loewis)

* Tue Sep 26 2000 Jeremy Hylton <jeremy@beopen.com>
- updated for release 1 of 2.0b2
- use .bz2 version of Python source

* Tue Sep 12 2000 Jeremy Hylton <jeremy@beopen.com>
- Version 2 of 2.0b1
- Make the package relocatable.  Thanks to Suchandra Thapa.
- Exclude Tkinter from main RPM.  If it is in a separate RPM, it is
  easier to track Tk releases.
