%define mono_dir %(/usr/bin/monodir)
Summary: Small Web Server Hosting ASP.NET
Summary(ja): ASP.NET を提供する小さなウェブサーバ
Name: xsp
URL: http://go-mono.com/
License: GNU General Public License (GPL)
Group: Applications/Internet
Version: 2.6.5
Release: 2%{?_dist_release}
Source: http://mono.ximian.com/monobuild/preview/sources/xsp/xsp-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch
BuildRequires: mono-devel mono-web
BuildRequires: mono-data-sqlite mono-data-oracle mono-jscript mono-extras mono-nunit
BuildRequires: pkgconfig
# One of the test runs requires this
BuildRequires: sqlite
# This must be manually entered according to xsp's protocol version
# Since this package is currently noarch, and mod_mono's name is different
# on different distros, we can't use this... yet
#Requires: mod_mono >= %{version}

%description
The XSP server is a small Web server that hosts the Mono System.Web
classes for running what is commonly known as ASP.NET.


%prep
%setup -q

%build
export MONO_SHARED_DIR=%{_builddir}/%{?buildsubdir}
# Cannot use the configure macro because noarch-redhat-linux is not recognized by the auto tools in the tarball
./configure \
	--prefix=%{_prefix} \
	--libexecdir=%{_prefix}/lib \
    --libdir=%{_prefix}/lib \
    --mandir=%{_prefix}/share/man \
    --infodir=%{_prefix}/share/info \
    --sysconfdir=%{_sysconfdir}
make


%install
rm -rf $RPM_BUILD_ROOT
export MONO_SHARED_DIR=%{_builddir}/%{?buildsubdir}
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p ${RPM_BUILD_ROOT}%{_datadir}
mv ${RPM_BUILD_ROOT}%{_prefix}/lib/pkgconfig ${RPM_BUILD_ROOT}%{_datadir}


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc NEWS README
%{_bindir}/*
%{_prefix}/lib/xsp
%{mono_dir}/gac/Mono.WebServer
%{mono_dir}/1.0/Mono.WebServer.dll
%{mono_dir}/gac/Mono.WebServer2
%{mono_dir}/2.0/Mono.WebServer2.dll
%{mono_dir}/gac/xsp
%{mono_dir}/1.0/xsp.exe
%{mono_dir}/gac/xsp2
%{mono_dir}/2.0/xsp2.exe
%{mono_dir}/gac/mod-mono-server
%{mono_dir}/1.0/mod-mono-server.exe
%{mono_dir}/gac/mod-mono-server2
%{mono_dir}/2.0/mod-mono-server2.exe
%{mono_dir}/gac/fastcgi-mono-server
%{mono_dir}/1.0/fastcgi-mono-server.exe
%{mono_dir}/gac/fastcgi-mono-server2
%{mono_dir}/2.0/fastcgi-mono-server2.exe
%{_datadir}/pkgconfig/*
%{_mandir}/*/*


%changelog
* Sun Sep 26 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.6.5-2
- rebuild with rpm-4.8.1 for pkg-config file

* Mon Jul 26 2010 Shu KONNO <owa@bg.wakwak.com> 2.6.5-1
- updated xsp to 2.6.5

* Sat May 01 2010 Shu KONNO <owa@bg.wakwak.com> 2.6.4-1
- updated xsp to 2.6.4

* Thu Apr 08 2010 Shu KONNO <owa@bg.wakwak.com> 2.6.3-1
- updated xsp to 2.6.3

* Tue Mar 02 2010 Shu KONNO <owa@bg.wakwak.com> 2.6-1
- updated to 2.6
- rebuilt with new toolchain

* Tue Dec 15 2009 Shu KONNO <owa@bg.wakwak.com> 2.4.3-2
- updated to 2.4.3

* Sun Apr 19 2009 Shu KONNO <owa@bg.wakwak.com> 2.4-2
- changed Group to Applications/Internet

* Sun Apr 05 2009 Shu KONNO <owa@bg.wakwak.com> 2.4-1
- updated to 2.4

* Wed Sep 17 2008 Shu KONNO <owa@bg.wakwak.com> 2.0-1
- initial build for VineSeed
	- updated xsp to 2.0
	- added japanese summary
	- applied vine versioning policy
	- spec in utf-8

* Tue Apr 22 2008 wberrier@suse.de
- update to 1.9.1 (bugfix release)
  - Output date header (instead of asp.net doing it)
* Tue Mar 25 2008 wberrier@suse.de
- update to 1.9
  - minor test updates
  - BaseRequestBroker fix: Check if the request ID is valid inside
  the lock.
* Mon Jan 14 2008 wberrier@suse.de
- update to 1.2.6
  - FastCGI support
* Thu Aug 30 2007 wberrier@suse.de
- xsp_1.2.5_p5_final.patch: Fix for regression in the request
  broker
* Fri Aug 17 2007 wberrier@suse.de
- xsp_1.2.5_p4.patch.bz2: Bugfixes found in 1.2.5
  - bugs: 81699, 81906, 82379, 82057
  - fixes ability to handle large (GB) uploads (needed for iFolder)
* Fri Aug  3 2007 wberrier@suse.de
- Update to 1.2.5
  - More robust exception handling
  - Fixed permissions bits for non executable scripts
  - virtual host support
  - New Documentation for Mono.WebServer
  - Improved event handling
* Tue Jun  5 2007 wberrier@novell.com
- Remove unnecessary path defines (prefix, sysconfdir)
- Update to 1.2.4
  - fix some race conditions and crashes
  - add tracing support
* Fri Apr 13 2007 wberrier@novell.com
- add %%debug_package so debug packages get created
* Wed Apr 11 2007 wberrier@novell.com
- Add mono dep/req for older distros
* Thu Mar  1 2007 wberrier@suse.de
- Update Update to 1.2.3
  - Bug fix #80230 (prevents possible nullref)
  - Support for response header encoding
* Mon Jan 22 2007 ro@suse.de
- drop requires for gnome-filesystem
* Sat Dec  2 2006 wberrier@suse.de
- Update to 1.2.1 (Fate #301111)
  - Bugfixes:
  - close the connection if there's an error reading the headers
  (including assembly loading exceptions due to a bad installation).
  - kill the warning that everyone is worried about.
* Fri Oct 20 2006 wberrier@suse.de
- Update to 1.1.18
  - 2.0 updates
* Thu Oct 19 2006 wberrier@suse.de
- Add mono-devel to fix bnc #213576 (missing provides)
* Tue Sep  5 2006 wberrier@suse.de
- Update to 1.1.17.1 bugfix release
- Read from the stream, not the socket as the socket data is
  encrypted when using SSL.
* Wed Aug 30 2006 wberrier@suse.de
- Update to 1.1.17
  - Added support for X.509 client certificates
  - Update to handle newly created AppDomains
* Mon Jul 31 2006 wberrier@suse.de
- update to 1.1.16.1
- better connection handling
- fixes bugs: 77698,78034,78621
* Tue Apr 25 2006 wberrier@suse.de
- Security update (remove all the duplicated slashes
  and don't do an extra Replace on non-windows.) and minor fix for
  [#78034].
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jan  6 2006 wberrier@suse.de
- Update to 1.1.13, clean up deps
* Thu Nov 10 2005 wberrier@suse.de
- Update to 1.1.10, set libdir to lib/
* Fri Oct  7 2005 wberrier@suse.de
- Update to 1.1.9.2 and cleanup (I Don't think noarch mono needs
  libexec, so I disabled the patch)
* Tue Jul 19 2005 sbrabec@suse.cz
- Build as noarch (#81109).
* Fri Jul 15 2005 sbrabec@suse.cz
- Updated to version 1.0.9 (#96776).
* Mon Feb 21 2005 clahey@suse.de
- Updated to 1.0.6.
* Sun Feb  6 2005 ro@suse.de
- use /usr/lib/mono
* Mon Dec 13 2004 clahey@suse.de
- New package.
